local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Antagonist", "Antagonist")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 5
local TIMER_ID = "AntShakedown"

function Addon:Start()
    
    -- show the anchors
    Antagonist:ToggleAnchors()
    
    -- start the bars now
    self:Display()
    
    -- schedule a new test display a ever 5 seconds or so
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
end

function Addon:Stop()
    
    -- hide the anchors
    Antagonist:ToggleAnchors()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
end                      

function Addon:Display()

    -- start the bars using the internal test of antagonist
    Antagonist:RunTest()

end