local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("Ash_Cooldowns", "Ash Cooldowns")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 21
local TIMER_ID = "CooldownsShakedown"

function Addon:Start()
    
    -- show the anchor
    Cooldowns:Set("locked", false)
    Cooldowns:UpdateSettings()
    
    -- start the bars now
    self:Display()
    
    -- schedule a new test display a every 21 seconds
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
    
end

function Addon:Stop()
    
    -- hide the anchor
    Cooldowns:Set("locked", 1)
    Cooldowns:UpdateSettings()

    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)
    
    -- remove all timers that are shown
    Cooldowns:RemoveAllTimers()

end

function Addon:Display()

    -- show cooldown timers, with a default duration of 20 seconds
    Cooldowns:ShowTimers(1,4)

end