local NShakedown = NShakedown
local revision = tonumber(("$Revision: 70161 $"):match("%d+"))
if not NShakedown.revision or revision > NShakedown.revision then
    NShakedown.revision = revision
    NShakedown.version = "r"..NShakedown.revision 
    NShakedown.date = ("$Date: 2008-04-17 01:34:57 -0400 (Thu, 17 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = NShakedown.AddonBase:new("HotCandy", "Hot Candy")
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 15
local TIMER_ID = "HotCandyShakedown"

-- locals
local HotCandy = nil

function Addon:Start()
	
	HotCandy = LibStub("AceAddon-3.0"):GetAddon("HotCandy")
	
	if HotCandy then	
		-- show the anchor
		HotCandy:ShowAnchors()
		
		-- show bars now
		HotCandy:TestBars()
		
		-- schedule more bars later
		self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, HotCandy.TestBars, HotCandy)
	end
end

function Addon:Stop()

	if HotCandy then	
		-- hide the anchor
		HotCandy:HideAnchors()
		
		-- don't schedule any more bars
		self:RemoveTimer(TIMER_ID)
	end
end